Package twisted :: Package names :: Module hosts :: Class Resolver

[show private | hide private]
[frames | no frames]

## Class Resolver

A resolver that services hosts(5) format files.

Method Summary
| `__init__(self, file, ttl)`
| `lookupAddress(self, name, timeout)`
| `lookupAllRecords(self, name, timeout)`
| `query(self, query, timeout)`

Class Variable Summary
`tuple` | `__implements__`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.internet.interfaces.IResolverSimple at 0x81d2b34>,)

Generated by Epydoc 1.1 on Sat Feb 15 21:17:56 2003 | http://epydoc.sf.net